std::char_traits::compare(3)

NAME
std::char_traits::compare - std::char_traits::compare

Synopsis
   static int compare( const char_type* s1, const char_type* s2, (until C++17)
   std::size_t count );
   static constexpr int compare( const char_type* s1, const char_type* (since C++17)
   s2, std::size_t count );
   Compares the first count characters of the character strings s1 and s2. The
   comparison is done lexicographically.
   If count is zero, strings are considered equal.

Parameters
   s1, s2 - pointers to character strings to compare
   count - the number of characters to compare from each character string

Return value
   Negative value if s1 is less than s2.
   0 if s1 is equal to s2.
   Positive value if s1 is greater than s2.

Exceptions
   Throws nothing.

Complexity
   Linear in count.